<?php

class SchoolClass
{
	const SECONDE = 0;
	const PREMIERE = 1;
	const TERMINALE = 2;

	public static function getTranslatedName($class) {
		switch ($class) {
            case null:
                return "Adulte";
			case self::SECONDE:
				return "Seconde ou inférieur";
			case self::PREMIERE:
				return "Première";
            case self::TERMINALE:
				return "Terminale";
		}
	}

	public static function getName($class) {
		switch ($class) {
            case null:
                return null;
			case self::SECONDE:
				return "SECONDE";
			case self::PREMIERE:
				return "PREMIERE";
            case self::TERMINALE:
				return "TERMINALE";
		}
	}

	public static function fromName($name) {
		switch ($name) {
			case "SECONDE":
				return self::SECONDE;
			case "PREMIERE":
				return self::PREMIERE;
			case "TERMINALE":
				return self::TERMINALE;
            default:
                return null;
		}
	}
}